/***********************************************************************************/
/* Adiutil.h									   */
/*										   */
/* Includes all headers necessary for using Adiutil				   */
/*										   */
/* This file is part of the "ADI USB ADSL Driver for Linux".			   */	
/*										   */
/* "ADI USB ADSL Driver for Linux" is free software; you can redistribute it       */
/* and/or modify it under the terms of the GNU General Public License as           */
/* published by the Free Software Foundation; either version 2 of the License,     */
/* or (at your option) any later version.					   */	
/*										   */
/* "ADI USB ADSL Driver for Linux" is distributed in the hope that it will be      */
/* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of	   */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		   */	
/* GNU General Public License for more details.					   */
/*										   */
/* You should have received a copy of the GNU General Public License		   */	
/* along with "ADI USB ADSL Driver for Linux"; if not, write to the Free Software  */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA       */
/***********************************************************************************/

#ifndef ADIUTIL_H
#define ADIUTIL_H

/*Include OS includes here ...*/
#include <linux/config.h>
#ifdef CONFIG_MODVERSIONS
#define MODVERSIONS
#include <linux/modversions.h>
#endif
#include <linux/kernel.h>
#include <linux/types.h>
#include <linux/slab.h>
#include <linux/vmalloc.h>
#include <linux/usb.h>
#include <linux/init.h>
#include <linux/timer.h>
#include <linux/param.h>
#include <linux/netdevice.h>
#include <linux/etherdevice.h>
#include <linux/ctype.h>


#include <linux/wait.h>			//

/*Include ADIUTIL includes here ...*/
#include "MapLinux.h"
#include "Konst.h"
#include "Buffers.h"
#include "Structs.h"
#include "Hardware.h"
#include "Zaps.h"
#include "Protos.h"
#include "Macros.h"
#include "Oam.h"	
#endif /*ADIUTIL_H*/

